<?php


    /*
    |------------------------------------------------------------------------------------------------
    | Information
    |------------------------------------------------------------------------------------------------
    |
    | This file is beautified by the command "sidekick:CodebeautifierCommand" of the ceetrox
    | sidekick package.
    |
    | Author: Kevin Almond Roe Yumang <kevin.yumang@itmax.email>
    | Update: 2022-06-17 01:45:33
    |
    */
    namespace Ceetrox\Sidekick\Views\Limitless\Navigation;


    /*
    |------------------------------------------------------------------------------------------------
    | Dependencies
    |------------------------------------------------------------------------------------------------
    */
    use View;


    /*
    |------------------------------------------------------------------------------------------------
    | Class "Config"
    |------------------------------------------------------------------------------------------------
    */
    class Config  
    {
        public $methodAllocation = [
            'Limitless::NavigationStart' => 'navigationStart',
            'Limitless::NavigationStop' => 'navigationStop',
            'Limitless::NavigationMenuSectionTitle' => 'navigationMenuSectionTitle',
            'Limitless::NavigationMenuItem' => 'navigationMenuItem',
            'Limitless::NavigationMenuStart' => 'navigationMenuStart',
            'Limitless::NavigationMenuStop' => 'navigationMenuStop',
        ];

        public function navigationMenuSectionTitle($parameters)
        {
            return View('Limitless::Navigation.NavigationMenuSectionTitle')
            ->withTitle( (isset($parameters['title']) ? $parameters['title'] : 'No Title') );
        }

        public function navigationMenuItem($parameters)
        {
            return View('Limitless::Navigation.NavigationMenuItem')
            ->withUrl( (isset($parameters['url']) ? $parameters['url'] : '#') )
            ->withTarget( (isset($parameters['target']) ? $parameters['target'] : '_self') )
            ->withIcon( (isset($parameters['icon']) ? $parameters['icon'] : 'icon-primitive-dot') )
            ->withTitle( (isset($parameters['title']) ? $parameters['title'] : 'No Title') );
        }

        public function navigationStart($parameters)
        {
            return View('Limitless::Navigation.NavigationStart')
                ->withExtra( (isset($parameters['extra']) ? $parameters['extra'] : [] ) );
        }

        public function navigationStop()
        {
            return View('Limitless::Navigation.NavigationStop');
        }

        public function navigationMenuStart($parameters)
        {
            return View('Limitless::Navigation.NavigationMenuStart')
            ->withIcon( (isset($parameters['icon']) ? $parameters['icon'] : 'icon-primitive-dot') )
            ->withTitle( (isset($parameters['title']) ? $parameters['title'] : 'No Title') );
        }

        public function navigationMenuStop()
        {
            return View('Limitless::Navigation.NavigationMenuStop');
        }

    }



